Yapay Zeka İçeriği

Notes
Uzman seviyesi
API anahtarı, isteğin Authorization başlığında Bearer token olarak gönderilmelidir. API anahtarınızı alın.
Özellik Kontrolü

API uç noktası:

GET
https://checkmysite.ir/api/v1/ai/feature-check

İstek örneği:

curl --location --request GET 'https://checkmysite.ir/api/v1/ai/feature-check' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Bakiye

API uç noktası:

GET
https://checkmysite.ir/api/v1/ai/balance

İstek örneği:

curl --location --request GET 'https://checkmysite.ir/api/v1/ai/balance' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Tahmini

API uç noktası:

POST
https://checkmysite.ir/api/v1/ai/estimate

İstek örneği:

curl --location --request POST 'https://checkmysite.ir/api/v1/ai/estimate' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}' \
--data-raw '{"type": "text", "options": {}}'

Parametreler:

Parametre
Tür
Açıklama
type
zorunlu string
İçerik türü: text, article, image, meta, title, description, other.
options
i̇steğe bağlı array
İsteğe bağlı. İçerik türü için ek seçenekler.
Oluştur

API uç noktası:

POST
https://checkmysite.ir/api/v1/ai/generate

İstek örneği:

curl --location --request POST 'https://checkmysite.ir/api/v1/ai/generate' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}' \
--data-raw '{"type": "text", "prompt": "Write a short poem", "confirm_cost": true}'

Parametreler:

Parametre
Tür
Açıklama
type
zorunlu string
İçerik türü: text, article, image, meta, title, description.
prompt
zorunlu string
İçerik üretimi için istem veya talimat. Metin, makale ve görsel türleri için gereklidir.
options
i̇steğe bağlı array
İsteğe bağlı. Türe özgü seçenekler:
confirm_cost
i̇steğe bağlı boolean
Tahmini maliyeti onaylayıp üretime devam etmek için true olarak ayarlayın. Ayarlanmazsa API, üretim yapmadan tahmini maliyeti döndürür.
Not: confirm_cost olmadan yapılan ilk istek tahmini kredileri döndürür. Devam etmek için confirm_cost: true ile ikinci isteği gönderin.
Paketler

API uç noktası:

GET
https://checkmysite.ir/api/v1/ai/packages

İstek örneği:

curl --location --request GET 'https://checkmysite.ir/api/v1/ai/packages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Satın Al

API uç noktası:

POST
https://checkmysite.ir/api/v1/ai/purchase

İstek örneği:

curl --location --request POST 'https://checkmysite.ir/api/v1/ai/purchase' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}' \
--data-raw '{"package_id": 1}'

Parametreler:

Parametre
Tür
Açıklama
package_id
zorunlu integer
Satın alınacak kredi paketinin kimliği.
Not: Bu uç nokta bir ödeme emri oluşturur. Yanıt, kullanıcının ödemeyi tamamlaması için yönlendirilmesi gereken payment_url içerir.
İşlemler

API uç noktası:

GET
https://checkmysite.ir/api/v1/ai/transactions

İstek örneği:

curl --location --request GET 'https://checkmysite.ir/api/v1/ai/transactions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parametreler:

Parametre
Tür
Açıklama
type
i̇steğe bağlı string
Türe göre filtrele: purchase, usage, plan_reset, refund, admin_adjustment.
limit
i̇steğe bağlı integer
Sayfa başına sonuç. Varsayılan: 20.
page
i̇steğe bağlı integer
Sayfa numarası. Varsayılan: 1.
Üretim Geçmişi

API uç noktası:

GET
https://checkmysite.ir/api/v1/ai/history

İstek örneği:

curl --location --request GET 'https://checkmysite.ir/api/v1/ai/history' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parametreler:

Parametre
Tür
Açıklama
type
i̇steğe bağlı string
Türe göre filtrele: text, article, image, meta, title, description.
limit
i̇steğe bağlı integer
Sayfa başına sonuç. Varsayılan: 20.
page
i̇steğe bağlı integer
Sayfa numarası. Varsayılan: 1.